
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>如何获得一个表的结构信息 / iVAN</title>

    <meta name="description" content="如何获得一个表的结构信息 如何获得一个表的结构信息 hbzxf(阿好)http://www.cnblogs.com/HBZXF 最近项目中需要使用ASP.NET制作自定义查询功能,根据表的字段名称与条件建立不同的查询语句,这就需要知道如何通过ADO.NET把一个表的结构显示出来,并绑定到需要显示的控件上,其实ADO.NET已经提供了相应的函数来做到这一点,下面通过详细的代码实例来察看结果. 由于本人通过使用Webservice来返回数据的结果,便制作了GetTableSchema(string sqlStr)函数,详细代">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">如何获得一个表的结构信息</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>如何获得一个表的结构信息</p>
<p>hbzxf(阿好)<br />http://www.cnblogs.com/HBZXF</p>
<p>最近项目中需要使用ASP.NET制作自定义查询功能，根据表的字段名称与条件建立不同的查询语句，这就需要知道如何通过ADO.NET把一个表的结构显示出来，并绑定到需要显示的控件上，其实ADO.NET已经提供了相应的函数来做到这一点，下面通过详细的代码实例来察看结果。</p>
<p>由于本人通过使用Webservice来返回数据的结果，便制作了GetTableSchema（string sqlStr）函数，详细代码如下：</p>
<p>/// &lt;summary&gt;<br />  /// 名称：GetTableSchema<br />  /// 参数：string sqlStr,前台查询语句<br />  /// 功能：获得表结构<br />  /// 返回值：DataSet<br />  /// &lt;/summary&gt;<br />  [WebMethod(EnableSession=true,Description = "获得表结构。")] <br />  public DataSet GetTableSchema(string sqlStr)<br />  {<br />   DataSet ds = new DataSet();<br />   OleDbCommand cmd = new OleDbCommand(sqlStr,conn);<br />   conn.Open();<br />   OleDbDataReader read = cmd.ExecuteReader();<br />   DataTable tb = read.GetSchemaTable();//注意这句话<br />   ds.Tables.Add(tb);<br />   read.Close();<br />   conn.Close();<br />   return ds;<br />  }</p>
<p>当建立好Webservice后，下面需要再前台把相应的表结构字段信息显示到一个<br />DropDownList中。但是有一个问题要解决的是，我所要查询的表字段信息在建表的时候都采用了英文字段，如何把表的英文字段变为中文字段就需要一个临时的DataSet来转换一下，在临时的DataSet中建立一个临时表来存储字段的中文信息和英文信息的对照关系，通过遍理整个临时表信息来取出相对应的中文字段信息，并回显到前台WebCombo中(注：由于本项目的用户需求原因，我们采用WebCombo代替了开发者的DropDownList）。详细的代码如下：</p>
<p>//CheckBoxList cbl = new CheckBoxList();<br />    //复选框显示方式为纵状，每列现实3条纪录<br />    cbl.RepeatColumns = 3;<br />    //cbl.RepeatDirection = Horizontal;<br />    //建立新的ListItem，存放试图表中的列值<br />    ListItem li = new ListItem();</p>
<p>DataSet d = new DataSet();<br />    DataTable t = new DataTable("t");//建立表t<br />    DataColumn c = new DataColumn();<br />    c.DataType = System.Type.GetType("System.String");<br />    c.ColumnName = "c";<br />    t.Columns.Add(c);<br />    DataColumn c1 = new DataColumn();<br />    c1.DataType = System.Type.GetType("System.String");<br />    c1.ColumnName = "c1";<br />    t.Columns.Add(c1);<br />    DataColumn c2 = new DataColumn();<br />    c2.DataType = System.Type.GetType("System.String");<br />    c2.ColumnName = "c2";<br />    t.Columns.Add(c2);<br />       //r["c"]:列的英文名字r["c1"]:列的中文名字r["c2"]:列的类型<br />    DataRow r;<br />     //通过试图操作Webservice中的GetTableSchema函数来返回表的结构<br />    foreach(DataRow row in us.GetTableSchema("select * from zc_view_kpb").Tables[0].Rows)<br />    {<br />     r = t.NewRow();<br />     r["c"] = row["ColumnName"].ToString();<br />     string colname="";<br />     colname = row["ColumnName"].ToString();<br />     switch (colname)<br />     {<br />      case "KPID":<br />       r["c1"] = "卡片编号";<br />       break;<br />      case "ZJRQ":<br />       r["c1"] = "折旧日期";<br />       break;<br />      case "ZCMLID":<br />       r["c1"] = "资产目录编号";<br />       break;<br />      default:<br />       break;<br />     }<br />     //逐个添加列的名字到复选框中<br />    //cbl是一个CheckBoxList控件，显示表结构所有字段信息，意思是让用户可以选择不同的字段内容并自动生成DataGrid的列信息，供用户浏览，在此不必理会<br />     cbl.Items.Add(new ListItem(r["c1"].ToString(),colname));<br />     //在r["c2"]中存储的内容为字段的类型+英文名称<br />     r["c2"] = row["ProviderType"].ToString()+colname;<br />     t.Rows.Add(r);<br />    }</p>
<p>//生成表，并绑顶到下拉列表<br />    //Wcol为WebCombo控件名称<br />    d.Tables.Add(t);<br />    this.WCol.DataSource = d;<br />    this.WCol.DataMember = d.Tables["t"].ToString();<br />    this.WCol.DataTextField = "c1";<br />    this.WCol.DataValueField = "c2";<br />    this.WCol.DataBind();</p>
<p>　　到此，我们已经把表的字段信息绑定到了需要的控件上，如果要帮定到DropDownList是同样的道理，大家不妨试一下。</p>
<p>由于个人水平有限，代码不免很乱，希望谅解！</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-23 08:22:21</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%ad%97%e6%ae%b5/" title="字段">字段</a>, <a href="https://www.iamivan.net/tag/%e4%bf%a1%e6%81%af/" title="信息">信息</a>, <a href="https://www.iamivan.net/tag/%e7%bb%93%e6%9e%84/" title="结构">结构</a>, <a href="https://www.iamivan.net/tag/c%e4%b8%b4%e6%97%b6%e8%a1%a8/" title="c临时表">c临时表</a>, <a href="https://www.iamivan.net/tag/datacolumn/" title="datacolumn">datacolumn</a>, <a href="https://www.iamivan.net/tag/dataset/" title="dataset">dataset</a>, <a href="https://www.iamivan.net/tag/new%e7%bb%93%e6%9e%84/" title="new结构">new结构</a>, <a href="https://www.iamivan.net/tag/%e8%a1%a8%e7%bb%93%e6%9e%84%e4%bf%a1%e6%81%af%e6%9f%a5%e8%af%a2/" title="表结构信息查询">表结构信息查询</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>如何获得一个表的结构信息的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdR2KNb.html" rel="bookmark">mysql-MySQL 如何设计并查询某个结果的值，不同情况下查到另一个表的不同信息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 MySQL 如何设计并查询某个结果的值,不同情况下查到另一个表的不同信息 具体问题描述如下: 例如现有以下数据: 数据1 mutid 用药信息 COSM1 a COSM2 b COSM3 c COSM4 d 数据2 mutid 用药信息 COSM1+COSM2 e 逻辑是:如果这个人有 COSM1 COSM3 COSM4 三种变异那么得到的是 变异 用药信息 COSM1 a COSM3 c COSM4 d 如果这个人有COSM1 COSM2 COSM4 三种变异 那么得到的是 变异 用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5BEBz.html" rel="bookmark">如何显示一个表的字段信息（ACCESS）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				access|显示   &lt;%sub Col_show(tablename)%&gt;   &lt;table  border=&quot;1&quot; cellspacing=&quot;0&quot; cellpadding=&quot;3&quot; style='border-collapse:collapse;' bordercolor=&quot;#006699&quot;&gt;   &lt;%   tablename=trim(tablename)   const adSchemaC			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAEjrJM.html" rel="bookmark">藏在表分区统计信息背后的小秘密</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				曾令军 云和恩墨技术专家,8年数据库运维经验.思维敏捷,擅长于数据库开发.解决棘手的数据库故障和性能问题,在数据库故障诊断.运维监控.性能优化方面积累了丰富的经验. 本文由一个表分区统计信息没有按预期更新的问题,逐步深入设疑.探因.求实,解开关于表分区统计信息收集的秘密.曲径通幽处,禅房花木深.让我们打开数据库知识的那扇窗,去看到花木浓茂幽静自然的美好. 案例背景 客户的业务系统中,做了AB表设计.A代表日间业务表,只存放一天的交易数据:B代表历史数据表,每天一个分区.每天晚上A表的所有数据会转			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRXJA3z.html" rel="bookmark">解析SQL 表结构信息查询 含主外键、自增长&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近项目需要做什么数据字典,需要表结构信息.在网上看了许多关于表结构信息的查询,感觉都不怎么样.相对好一点就是&lt;基于SQL2005 SQL2008 表结构信息查询升级版的详解(含外键信息)&gt; ,但是这里有一点小问题,缺少一个过滤以致运行有一点小bug.在AdventureWorks2012数据库中的Address表查询结果如图:在查询过滤中我们添加以下信息就ok了:AND g.class_desc = 'OBJECT_OR_COLUMN'修改后的SQL如下: 复制代码 代码如下: SELECT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbKQlEp.html" rel="bookmark">jsp mysql-jsp页面如何实现一个用mysql创建的表中的信息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 jsp页面如何实现一个用mysql创建的表中的信息 这是我的jsp界面 &lt;%@ page language=&quot;java&quot; import=&quot;java.util.*&quot; pageEncoding=&quot;gb2312&quot;%&gt; My JSP 用户名: 密 码 &lt;/body&gt; &lt;/html&gt; 而且我的数据库也连接上了,连接代码放在src/com.ming.java/DB类中,我在数据库中还建了一张表格userinfo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd7WGAM.html" rel="bookmark">c&num;通过oledb获取excel文件表结构信息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这个问题来自论坛提问,同理可以获得access等数据库的表结构信息. using System; namespace ConsoleApplication11 ...{ class Program ...{ public static void Main() ...{ getExcelFileInfo(@&quot;c:a.xls&quot;); } private static void getExcelFileInfo(string Path) ...{ string strConn = &quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mxo8LOb.html" rel="bookmark">c&num; 服务-从一个表中取出对应的数据 插入到另外一个表结构相同的表中</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 从一个表中取出对应的数据 插入到另外一个表结构相同的表中 C# 写一个服务程序实现功能如下: 有两个结构相同的表A和B 要实现 从表A中取出符合条件的数据 插入到表B中去 然后把A表中的数据删除 ,注明:数据量很大 保证数据顺利插入B表中并删除A表中的数据 保证各个环节不出错: 大伙有什么高招 请指点下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXw7jvM.html" rel="bookmark">架构师-我在设计一个表结构&period;主键生成策略选择哪种好&comma;有什么讲究吗&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我在设计一个表结构.主键生成策略选择哪种好,有什么讲究吗? 选uuid? 还是选数字自增? 一般情况下都用哪个啊? 一般情况下都用哪个啊? 一般情况下都用哪个啊? 解决方案 主键一般都是非业务主键,仅作编号没有实际意义,自增或者UUID都可以的.比较如下: 解决方案二: 数字自增长 一直用的这种,还不错.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQXVVz.html" rel="bookmark">oracle怎么导出一个表结构到excel，包括字段，注释，长度等</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 oracle怎么导出一个表结构到excel,包括字段,注释,长度等 写一个数据库文档,以方便日后 好查看数据库结构维护 解决方案 使用PL/SQL登录,右键点击需要导出表结构的表,选择查看,在对话框选择列,按图来做就OK了 解决方案二: oracle 怎么读取表结构和注释,生成数据库结构文档 解决方案三: 用Navicat啊 批量导出,导出格式可以选 解决方案四: plsql中有一个跟跟柱状图一样的按钮,里面有一个选项,可以直接导出来 解决方案五: plsql中有一个跟跟柱状图一样的按			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zG19lM.html" rel="bookmark" class="title">POJ 1066 判断线段相交</a>
					<div>
						题意:有个考古队进金字塔里盗墓,大小100*100,样图是一个俯视图,给了财宝坐标,又给了各个墙.题目规定考古队在每面墙的中点处开一个洞,这样就避免了两墙交点的情况,求最小的凿墙数目. 很明显,枚举连 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6Q3yb.html" rel="bookmark" class="title">js浮点数据类型的计算</a>
					<div>
						JS浮点数据类型的计算,如下实例: //说明:javascript的乘法结果会有误差,在两个浮点数相乘的时候会比较明显.这个函数返回较为精确的乘法结果.    //调用:accMul(arg1,arg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPmmZz.html" rel="bookmark" class="title">用SQL进行函数查询</a>
					<div>
						  Oracle 9i提供了很多函数可以用来辅助数据查询.接下来我们介绍常用的函数功能及使用方法.4.5.1 [ceil]函数    在[命令编辑区]输入&quot;select mgr, mgr/1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaNRJM.html" rel="bookmark" class="title">分享手机QQ浏览器（android版）设计心得</a>
					<div>
						文章描述:云览天下,一触即达--QQ 浏览器(android) 设计之路. 经过几个月的时间和大家的努力,手机QQ浏览器(android版)从 2.0 陆续更新到的 2.6.在经历了设计的千回百转和架 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgnY6b.html" rel="bookmark" class="title">Dreamweaver扩展&colon;Web开发jQuery UI接口框架</a>
					<div>
						绝大多数的Web设计师和Web开发者可能都会经常使用Adobe的产品来完成工作,本文整理了5个在Web设计开发中最常用jQuery UI 接口框架,帮助你提高项目开发效率.这些jQuery UI 框架 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvZG6M.html" rel="bookmark" class="title">网页制作软件FrontPage XP的使用五则技巧</a>
					<div>
						frontpage|技巧|网页 最近笔者学会了用FrontPage XP做网页,心理特高兴,非常想把我在制作主页过程中的一些经验和大家交流交流.切磋切磋,我们一起来看看吧. 用表格做按钮 很多人为了做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOPdkb.html" rel="bookmark" class="title">站长依靠生存的网站优化法之独立博客优化</a>
					<div>
						站长们每天都为自己的网站优化找寻着不同的方法,养bsp博客,软文推广,论坛推广,邮件推广,甚至于用时下最火爆的微博推广,虽然现在微博中的链接没能很好的转换到网站中,但微博优化可以提高网站的知名度,独立 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMR0xaz.html" rel="bookmark" class="title">FreeBSD用户管理之增加用户</a>
					<div>
						为了使用多用户的FreeBSD操作系统,必须是系统的登记用户.用户信息保存在/etc目录下passwd 文件中,在这个文件中定义的一个FreeBSD用户应具有以下属性: 用户名(Username):在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr338Op.html" rel="bookmark" class="title">IE下Ajax缓存问题的快速解决方法</a>
					<div>
						 IE下Ajax缓存问题的快速解决方法(get方式).网上搜了很多解决方案,一大把,下面是我认为比较全面的解决方案.主要分为客户端解决和服务端解决 折腾了半天,程序中使用jquery的load方法进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKke3ab.html" rel="bookmark" class="title">Parallels Desktop融合模式介绍</a>
					<div>
						  融合 (Coherence) 是一种能够让您在 Mac 上如同运行其原生应用程序一样运行 Windows 应用程序的查看模式. 注意:Parallels Desktop 虚拟机在第一次启动时会在融 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywE68z.html" rel="bookmark" class="title">迅雷下载到百分之70多了，忽然就变成了百分之0&period;2了&quest;</a>
					<div>
						  [1]可能是迅雷7的进度保护导致的,这个情况一般只能建议重新下载. [2]如多个文件或者经常出现这个情况,请卸载迅雷然后登录:dl.xunlei.com/ 这个页面下载迅雷7最新版本安装包,重新安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaV0vz.html" rel="bookmark" class="title">无线网卡无法找到信号怎么办</a>
					<div>
						  1.搜索无线网络失败 首先, 问题的现象是无法在 &quot;无线网络连接&quot;界面中找到无线网络信号.于是,先检查无线路由器工作是否正常, 用WiFi 手机测试, 无线信号是没问题的, 说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBYV8z.html" rel="bookmark" class="title">Windows注册表编辑器打开方法及打不开解决办法</a>
					<div>
						  Windows的注册表(Registry)实质上是一个庞大的数据库,它存储这下面这些内容:软.硬件的有关配置和状态信息,应用程序和资源管理器外壳的初始条件.首选项和卸载数据;计算机的整个系统的设置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1E039M.html" rel="bookmark" class="title">硬盘不能分区</a>
					<div>
						  使用&quot;FDISK&quot;给电脑硬盘进行重新分区的时候,原扩展分区怎么也删除不掉. 启动到电脑DOS系统,运行&quot;FDISK&quot;命令,发现硬盘的容量为40GB,扩展分区 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGr9wp.html" rel="bookmark" class="title">Firebug入门指南（转）</a>
					<div>
						  据说,对于网页开发人员来说,Firebug是Firefox浏览器中最好的插件之一. 我最近就在学习怎么使用Firebug,网上找到一篇针对初学者的教程,感觉比较有用,就翻译了出来. 作者:Este ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWkd0p.html" rel="bookmark" class="title">多态-java 模拟一个汽车工厂生产汽车</a>
					<div>
						问题描述 java 模拟一个汽车工厂生产汽车 解题提示a)可生产大卡车.大客车.小汽车.跑车等b)不同的车售价不同c)涉及知识点有类.接口.继承.封装.多态这哪里错了啊,为什么输出出来不是车名和价格啊 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQ9j8z.html" rel="bookmark" class="title">&period;NET Core首例Office开源跨平台组件（NPOI Core）</a>
					<div>
						前言 最近项目中,需要使用到 Excel 导出,找了一圈发现没有适用于 .NET Core的,不依赖Office和操作系统限制的 Office 组件,于是萌生了把 NPOI 适配并移植到 .NET C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQ9KZz.html" rel="bookmark" class="title">WinForm 使RichTextBox的垂直滚动条一直位于底部</a>
					<div>
						// 方法 1 this.historyRichTextBox.Focus(); this.historyRichTextBox.Select(historyRichTextBox.TextLengt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6y1lz.html" rel="bookmark" class="title">【原创】如何正确生成RabbitMQ-C客户端库</a>
					<div>
						关键点: 1. 下载 rabbitmq-c-master 源码 2. 下载 rabbitmq-codegen 源码 3. 将 rabbitmq-codegen 中的内容拷贝到 rabbitmq-c-m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6kaNb.html" rel="bookmark" class="title">跟益达学Solr5之使用MMSeg4J分词器</a>
					<div>
						   要想在Sor中使用MMSeg4J分词器,首先你需要自定义一个TokenizerFactory实现类,虽然直接配置Analyzer类也可以,但那样无法配置Analyzer构造函数的参数,不够灵活, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYj8g5p.html" rel="bookmark" class="title">360免费杀毒，对手已无退路</a>
					<div>
						刘仪伟在央视为360免费杀毒代言,举着喇叭重复喊着&quot;免费&quot;,既是黄金时段,又是春节长假,喊得全国人民.国际友人都知道.    看过央视广告竞标报道的人都知道,新闻联播之后的广告,那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Yek4M.html" rel="bookmark" class="title">vs启动项目 页面跳转问题</a>
					<div>
						问题描述 iis发布项目整个项目跑起来是没有问题的vs调试启动项目,跳转页面就报错, 解决方案 解决方案二:鹅母鸡啊帮顶解决方案三:整个项目跑起来是没有问题的vs调试启动项目,跳转页面就报错					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRmP1b.html" rel="bookmark" class="title">&lbrack;jjzhu学java&rsqb;之自动装箱的陷阱</a>
					<div>
						自动装箱.拆箱的陷阱 装箱与拆箱 java语言中为每种基本数据类型(int,float,double-)都提供了与之对应的包装器类型(Integer,Float,Double).从java se5之后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYyEZp.html" rel="bookmark" class="title">课程设计</a>
					<div>
						问题描述 采用WinForm所做的考试系统是怎样实现客户端和服务器端之间的交互? 解决方案 解决方案二:不光是做考试系统,做几乎大部分常见C/S系统都可以用WCF,很方便的.或者你不需要在服务器端做特 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7jNLM.html" rel="bookmark" class="title">目前部署在云平台上最多的五类应用</a>
					<div>
						在完成http://www.aliyun.com/zixun/aggregation/13423.html&quot;&gt;云计算平台的建设后,企业应考虑将业务应用逐步部署到云计算平台上.需要指出的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY51QeM.html" rel="bookmark" class="title">雅虎为何不再允许在家办公？</a>
					<div>
						美联社报道说,去年7月份出任雅虎公司http://www.aliyun.com/zixun/aggregation/32086.html&quot;&gt;首席执行官的梅丽萨-梅耶尔(Marissa  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AyE3z.html" rel="bookmark" class="title">js中非常强大的光标位置工具函数</a>
					<div>
						html代码 &lt;p&gt;文本框:&lt;/p&gt; &lt;textarea name=&quot;&quot; id=&quot;textarea&quot; cols=&quot;30& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRP2Ap.html" rel="bookmark" class="title">求解在SSH中，打开页面时引用action，并读取在调用action后session中数据</a>
					<div>
						问题描述 求解在SSH中,打开页面时引用action,并读取在调用action后session中数据 解决方案 解决方案二:Mapmap=(Map)ActionContext.getContext() ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAE3eXM.html" rel="bookmark" class="title">javascript-chrome使用console&period;log时问题</a>
					<div>
						问题描述 chrome使用console.log时问题 若 刷新后再打开控制台 则如下显示: 若在 控制台(F12) 打开的情况下 刷新 则这样显示这个对象: 这是为什么啊?? 解决方案 你鼠标移动到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL57rAz.html" rel="bookmark" class="title">PHP正则表达式入门教程&lpar;推荐&rpar;&lowbar;php实例</a>
					<div>
						思维导图 点击下图,可以看具体内容! 介绍 正则表达式,大家在开发中应该是经常用到,现在很多开发语言都有正则表达式的应用,比如javascript,java,.net,php等等,我今天就把我对正则表 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
